## ngcp-task-agent 14.0.1.1+0~mr14.0.1.1

=== requirements.txt ===
aiofiles==24.1.0
aioxmlrpc==0.9.1
async-timeout==5.0.1
flake8==7.1.1
flake8-blind-except==0.2.1
flake8-builtins==2.5.0
flake8-class-newline==1.6.0
flake8-comprehensions==3.16.0
flake8-docstrings==1.7.0
flake8-polyfill==1.0.2
flake8-quotes==3.4.0
isort==6.0.1
mypy==1.15.0
mypy-extensions==1.0.0
pep8-naming==0.14.1
PyYAML==6.0.2
redis==5.2.1
setproctitle==1.3.6
systemd==0.17.1
types-pyyaml==6.0.12.12
types_aiofiles==24.1.0.20250516
typing_extensions==4.13.2
