=== debian/changelog ===
ngcp-task-agent (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:33:11 +0100

ngcp-task-agent (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:57:05 +0100

ngcp-task-agent (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:45:36 +0200

ngcp-task-agent (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [004341d] MT#62544 fix bogus function docs
  * [d59b209] MT#62544 simplify broker/backend get logic
  * [d546f5f] MT#62544 apply_dict: support List[]
  * [c76ca61] MT#62544 logging: support truncating lines
  * [c67f390] MT#62544 exec_command: return exit code
  * [ff8e0f2] MT#62544 remove redundant _logger
  * [cb63aa7] MT#62544 fix typo
  * [79eb889] MT#62544 apply_dict: support inheritance
  * [d067bde] MT#62544 exec_command: support stdin
  * [330a83b] MT#62544 command: add ignore_stderr
  * [8da34de] MT#62544 grant CAP_SETUID
  * [887c19b] MT#62544 command: add pipe option
  * [0f2bd14] MT#62544 invoke-task: add --binary-from-file
  * [c951839] MT#62544 brokers: add send_req
  * [804f826] MT#62544 make sure task name matches file name
  * [57aa7da] MT#62544 support follow-up tasks
  * [cacb760] MT#62544 add "file" broker
  * [0e62157] MT#62544 grant DAC override
  * [012d894] MT#62544 add "mysql" broker
  * [0ba2b3f] MT#62544 add apply_dict_macros helper
  * [674d74a] MT#62544 add rest_http broker
  * [bb8a968] MT#62544 add transcribe_whisper_local broker
  * [e42086e] MT#62544 add write_transcript broker
  * [eac989f] MT#62544 add transcription related tasks

  [ Kirill Solomko ]
  * [b494273] MT#62946 use aclose() for Redis, debian/trixie updates

  [ Guillem Jover ]
  * [afb665c] MT#62763 Fix shellcheck issues

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:44:36 +0200

ngcp-task-agent (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [60e437a] MT#61971 remove python3-flake8-polyfill dependency

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:29:00 +0200

ngcp-task-agent (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [64b1bb2] MT#61833 add missing redis stubs support for debian/trixie

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:15:43 +0100

ngcp-task-agent (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:27:58 +0100

ngcp-task-agent (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [44ca864] MT#60924 flake8: ignore A005 issue for xmlrpc + typing modules

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 10:01:01 +0200

ngcp-task-agent (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:03:49 +0200

ngcp-task-agent (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [358b6a7] MT#59859 Discontinue Rainbow platform merging into NGCP

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:32:33 +0200

ngcp-task-agent (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [108c960] MT#59230 increase app.loop await asyncio.sleep to 1 second
  * [98bc76e] MT#59230 improve redis backend pubsub message polling

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:49:13 +0100

ngcp-task-agent (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Daniel Grotti ]
  * [993adcb] MT#59003 breakout in case of None reply

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:48:07 +0100

ngcp-task-agent (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Fabricio Santolin da Silva ]
  * [5af3bdc] MT#58517 Add XMLRPC command permissions.addressReload
  * [3b3e3dc] MT#55261 Change broker from xmlrpc to command for kamailio tasks
  * [7e3ecab] MT#58608 Add args extra_args to command broker tasks

  [ Kirill Solomko ]
  * [926a7f7] MT#58487 parse request.options.dst_nodes_in_accepted bool
  * [1d30251] MT#58532 enable mypy strict mode
  * [c0c3b17] MT#58495 request and response datetime with milliseconds
  * [e0c7917] MT#58487 fix info broker options check
  * [c894bc3] MT#58449 get_node_state() fix node_state calculation
  * [bdfebb9] MT#58610 add macro args support for command broker
  * [a4b89ee] MT#58766 fix extra_args appliance to args

  [ Daniel Grotti ]
  * [d03814d] MT#58490 invoke-task: Support multiple responses

  [ Michael Prokop ]
  * [86997db] TT#71950 Minor typo fixes

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:37:50 +0100

ngcp-task-agent (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [1758e9d] MT#58176 disable several hardening settings
  * [9ea66fd] MT#58178 add get_stuck_calls task
  * [c5d53f9] MT#58180 use Redis connection pool, handle pub/sub reconnect
  * [ed90849] MT#58234 improve tasks, backends, brokers and more
  * [0e4f243] MT#58321 add redis.backend init reconnect support
  * [547c3a0] MT#58322 remove keydb.service dependency from the unit file
  * [b59a0f3] MT#58440 read redis backend config typed
  * [0f5426a] MT#58449 improve config, skip on dst options
  * [2a4497a] MT#58449 improve the start/stop code
  * [36dcd60] MT#58449 invoke ngcp-check-active with -v
  * [81ebfb1] MT#58474 port redis backend to redis.asyncio
  * [e0e947b] MT#58474 _read_messages add asyncio.sleep interval
  * [913cc21] MT#58474 background Redis backend connection behaviour
  * [dd1f0d4] MT#58476 add info broker and get_ngcp_roles task
  * [17ed954] MT#58449 check_dst_is_own() fix options check add 'local'
  * [ca40c3f] MT#58476 rename ngcp.roles.name to ngcp.roles.node

