=== debian/control ===
Source: ngcp-task-agent
Section: admin
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 flake8,
 isort,
 mypy,
 python3-aiofiles,
 python3-aiohttp,
 python3-aiomysql,
 python3-aioxmlrpc,
 python3-all,
 python3-flake8-blind-except,
 python3-flake8-builtins,
 python3-flake8-class-newline,
 python3-flake8-comprehensions,
 python3-flake8-docstrings,
 python3-flake8-quotes,
 python3-httpx,
 python3-jwt,
 python3-pep8-naming,
 python3-redis,
 python3-setproctitle,
 python3-setuptools,
 python3-systemd,
 python3-typeshed,
 python3-yaml,
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/
X-Python3-Version: >= 3.9

Package: ngcp-task-agent
Architecture: all
Depends:
 python3-ngcp-task-agent (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: communication agent for task automation
 ngcp-task-agent improves communication between other
 services, also across NGCP nodes, using redis publish/subscribe
 methods. It automates the execution of some internal commands,
 tasks or triggers.

Package: python3-ngcp-task-agent
Architecture: all
Depends:
 python3-aiofiles,
 python3-aiohttp,
 python3-aiomysql,
 python3-aioxmlrpc,
 python3-httpx,
 python3-jwt,
 python3-redis,
 python3-setproctitle,
 python3-systemd,
 python3-typeshed,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: communication agent for task automation
 ngcp-task-agent improves communication between other
 services, also across NGCP nodes, using redis publish/subscribe
 methods. It automates the execution of some internal commands,
 tasks or triggers.
