=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

FLAKE8 		:= "/usr/bin/flake8"
ISORT 		:= "/usr/bin/isort"
MYPY 		:= "/usr/bin/mypy"
SORT_REQS 	:= "tools/sort_requirements"

export PYBUILD_NAME=ngcp-task-agent
export PYTHONPATH=stubs

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_test:
	$(FLAKE8) ngcp_task_agent sbin
	$(ISORT) --check ngcp_task_agent sbin
	$(MYPY) ngcp_task_agent sbin
	$(SORT_REQS) -c
